import glob

env = Environment()
env.Append(CCFLAGS='-g')
env.Append(CCFLAGS='-Wall')
env.Append(LIBS=['aldmb','dumb'])
env.ParseConfig('allegro-config --cflags --libs')
Export('env', 'glob');

cfiles = glob.glob('*.c')
objects = []
objects = objects + env.Object(cfiles)
objects = objects + env.Object(glob.glob('level/*.c'))
editor = env.Object('editor/editor.c')

env.Program(target = 'xmashack', source = objects)
env.Program(['editor/editor.c','map.c'])
